<div class="container">
  <% unless notice.nil? %>
    <div id="notice">
      <div class="ui message icon">
        <i class="close icon"></i>
        <i class="info circle icon"></i>
        <div class="content">
          <%= notice %>
        </div>
      </div>
    </div>
  <% end %>
  <% unless @home_visits.empty? %>
    <table class="ui table unstackable --responsive">
      <thead>
        <tr>
          <th class="center aligned"><%= t 'no_label' %></td>
          <th><%= t 'home_visit.hvid_label' %></td>
          <th class="center aligned"><%= t 'home_visit.datesurvey_label' %></th>
          <th class="center aligned"><%= t 'home_visit.u_date' %></th>
          <th colspan="3" class="center aligned"><%= t :actions_label %></th>
        </tr>
      </thead>
      <tbody>
        <% @home_visits.each_with_index do |home_visit, index| %>
          <tr>
            <td class="center aligned" data-label="<%= t 'no_label' %>"><%= no(@home_visits) + index %></td>
            <td data-label="<%= t 'home_visit.hvid_label' %>"><%= home_visit.hvid %></td>
            <td class="center aligned" data-label="<%= t 'home_visit.datesurvey_label' %>"><%= date_format(home_visit.datesurvey) %></td>
            <td class="center aligned" data-label="<%= t 'home_visit.u_date' %>"><%= date_time_format(home_visit.user_last_updated_at) %></td>
            <td class="action --center">
              <%= link_to [@community_survey, @house, @family_folder, @person, home_visit],
                data: { tooltip: t('info_label'), position: "bottom left" },
                class: "ui button --circle --submit" do %>
                <i class="info icon"></i>
              <% end %>
              <%= link_to edit_community_survey_house_family_folder_person_home_visit_path(@community_survey, @house, @family_folder, @person, home_visit),
                data: { tooltip: t('edit_label'), position: "bottom left" },
                class: "ui button --circle --submit" do %>
                <i class="ico-edit"></i>
              <% end %>
              <%= link_to community_survey_house_family_folder_person_home_visit_path(@community_survey, @house, @family_folder, @person, home_visit),
                method: :delete,
                data: { confirm: t(:confirm_delete_label), tooltip: t('destroy_label'), position: "bottom right" },
                class: "ui button --circle --submit #{!home_visit.process_result_id.nil? ? "disabled" : ""}" do %>
                <i class="ico-bin"></i>
              <% end %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>
  <% else %> 
    <div class="container__no-content"> 
      <div> 
        <div class="container__no-content --icon"> 
          <i class="file outline icon"></i> 
        </div> 
        <div class="container__no-content --text"><%= t('home_visit.title_label_not_found') %></div> 
        <div class="container__no-content --button"> 
          <%= link_to new_community_survey_house_family_folder_person_home_visit_path(@community_survey, @house, @family_folder, @person), class: "ui button --icon-only" do %> 
            <%= t 'home_visit.add_label' %> 
          <% end %> 
        </div> 
      </div> 
    </div> 
  <% end %>
</div>

<% content_for :menu_content_title do %>
  <div class="menuFilter-contentLeft__button">
    <button id="toggle_breadcrumb" class="ui button active --toggle">
      <i id="toggle_breadcrumb_icon" class="ellipsis vertical icon"></i>
    </button>
  </div>
  <div class="ui breadcrumb">
    <%= link_to community_surveys_path, class: 'section' do %>
      <div class="breadcrumb__label"><%= t('community_survey.title_label') %></div>
      <div class="breadcrumb__content">(<%= @community_survey.vname %>)</div>
    <% end %>
    <i class="right angle icon divider"></i>
    <%= link_to t('house.title_label'), community_survey_houses_path(@community_survey), class: 'section' %>
    <i class="right angle icon divider"></i>
    <%= link_to t('family_folder.title_label'), 
      community_survey_house_family_folders_path(@community_survey, @house), class: 'section' %>
    <i class="right angle icon divider"></i>
    <%= link_to t('person.title_label'), 
      community_survey_house_family_folder_people_path(@community_survey, @house, @family_folder), class: 'section' %>
    <i class="right angle icon divider"></i>
    <div class="active section"><%= t 'home_visit.title_label' %></div>
  </div>
<% end %>
<% content_for :menu_content_link do %>
  <%= link_to new_community_survey_house_family_folder_person_home_visit_path(@community_survey, @house, @family_folder, @person), class: "ui button --icon-only", data: { tooltip: t('home_visit.add_label'), position: "left center" }  do %>
    <div class="icon-group">
      <i class="ico-add"></i>
      <i class="ico-visit_plan"></i>
    </div>
  <% end %>
<% end %>
<% content_for :menu_content_detail do %>
  <%= t 'home_visit.visited_name' %>
  <%= @person.first_name %>
  <%= @person.last_name %>
<% end %>
